<template>
    <div id="home" v-loading.fullscreen="isshow" :element-loading-text="istype"
    element-loading-spinner="el-icon-loading"
    element-loading-background="rgba(0, 0, 0, 0.8)">
        <div class="top">
            <div align="center" class="section">成员</div>
            <div align="center" class="section">进场时间<img src="../../assets/pen.png"></div>
            <div align="center" class="section">离场时间<img src="../../assets/pen.png"></div>
            <div align="center" class="section">角色<img src="../../assets/pen.png"></div>
        </div>
        <div class="blocktop"></div>
        <ul class="list" v-for="(item,index) in datalist" :key="index">
            <li>
                <div class="line">
                     <!-- <img class="image1" src="../../assets/sousuo.png" alt=""> -->
                    <input readonly="readonly" type="text" v-model="item.StaffName">
                   
                </div>
            </li>
             <li>
                <div class="line">
                    <!-- <img class="image1" src="../../assets/sousuo.png" alt=""> -->
                    <input readonly="readonly" @click="openpicker(index,'NEntrytime')" type="text" v-model="item.NEntrytime">
                    
                </div>
            </li>
             <li>
                <div class="line">
                    <!-- <img class="image1" src="../../assets/sousuo.png" alt=""> -->
                    <input readonly="readonly" type="text" @click="openpicker(index,'NLeaveTime')" v-model="item.NLeaveTime">
                    
                </div>
            </li>
             <li>
                <div class="line">
                   <!-- <img class="image1" src="../../assets/sousuo.png" alt=""> -->
                    <input readonly="readonly" @click="role(index,'Nitemrole')" type="text" v-model="item.Nitemrole">
                   
                </div>
            </li>
        </ul>
        <div class="blockdiv"></div>

      <!-- <img @click="addmember()" src="../../assets/add.png" style="width:0.5rem; height:0.5rem;" class="image4"> -->
        <div class="footer">
            <button style="border:none;border-right:0.02rem solid #eeeeee; border-top:0.02rem solid #eeeeee;" @click="save()">保存</button>
            <button style="border:none; border-top:0.02rem solid #eeeeee;" @click="addmember()" >添加成员</button>
        </div>
        <div class="tip">
            <el-dialog
            title="提示"
            :visible.sync="issave"
            width="90%"
            height="20vh"
            >
                <span style="margin:0 auto; width:20%;">{{word}}</span>
                <span slot="footer" class="dialog-footer">
                    <el-button style="background:#5C77A0; color:white;" @click="sureback()">确 定</el-button>
                </span>
            </el-dialog>
        </div>
         
         <mt-datetime-picker
                ref="picker"
                type="date"
                year-format="{value}年"
                month-format="{value}月"
                date-format="{value}日"
                v-model="pickerValue" @cancel="opendismiss()"  @confirm="handleconfirm()"  readonly="readonly">
            </mt-datetime-picker>
            <mt-actionsheet
            :actions="actions"
            v-model="sheetVisible">
            </mt-actionsheet>
            <!-- <el-dialog
            :visible.sync="dialogVisible"
            width="70%"
            >
            <ul class="departlist">
                <li v-for="(item,index) in departlist" :key="index" @click="checkpart(item)">{{item}}</li>
            </ul>
            
        </el-dialog> -->
    </div>
</template>
<script>
export default {
    data(){
         let tmonth=new Date().getMonth()+1
        return{
            
            isshow:false,
            istype:'',
            word:'',
            issave:false,
            sheetVisible:false,
            datalist:[],
            pickerValue:new Date().getFullYear()+'-'+tmonth+'-'+new Date().getDate(),
            key:'',
            index:'',
            dialogVisible:false,
            actions:[{name:'项目经理',method:this.pmtype}, {name:'业务顾问',method:this.gwtype}, {name:'开发经理',method:this.kftype}, {name:'开发顾问',method:this.kgtype} ,{name:'高层',method:this.gctype} ,{name:'客户方项目组成员',method:this.cytype}, 
                        {name:'业务人员',method:this.ywtype}, {name:'IT',method:this.ittype} ,{name:'KeyUser',method:this.keytype}, {name:'管理委员会成员',method:this.gltype}, {name:'人事专员',method:this.rstype}, {name:'证券财务',method:this.zqtype}, {name:'运营专员',method:this.yytype}, {name:'行政专员',method:this.xztype}],
            rindex:'',
            rkey:''
        }
    },
    methods:{
        pmtype(){
            console.log(this.rindex);
            console.log(this.rkey);
           
            this.sheetVisible=false;
            this.datalist[this.rindex][this.rkey]='项目经理'
        },
        gwtype(){
             this.sheetVisible=false;
            this.datalist[this.rindex][this.rkey]='业务顾问'
        },
        kftype(){
             this.sheetVisible=false;
            this.datalist[this.rindex][this.rkey]='开发经理'
        },
        kgtype(){
            this.sheetVisible=false;
            this.datalist[this.rindex][this.rkey]='开发顾问'
        },
        gctype(){
            this.sheetVisible=false;
            this.datalist[this.rindex][this.rkey]='高层'
        },
        cytype(){
            this.sheetVisible=false;
            this.datalist[this.rindex][this.rkey]='客户方项目组成员'
        },
        ywtype(){
            this.sheetVisible=false;
            this.datalist[this.rindex][this.rkey]='业务人员'
        },
         ittype(){
            this.sheetVisible=false;
            this.datalist[this.rindex][this.rkey]='IT'
        },
        KeyUser(){
            this.sheetVisible=false;
            this.datalist[this.rindex][this.rkey]='Key User'
        },
        gltype(){
            this.sheetVisible=false;
            this.datalist[this.rindex][this.rkey]='管理委员会成员'
        },
        rstype(){
            this.sheetVisible=false;
            this.datalist[this.rindex][this.rkey]='人事专员'
        },
        zqtype(){
             this.sheetVisible=false;
            this.datalist[this.rindex][this.rkey]='证券财务'
        },
        yytype(){
            this.sheetVisible=false;
            this.datalist[this.rindex][this.rkey]='运营专员'
        },
        xztype(){
            this.sheetVisible=false;
            this.datalist[this.rindex][this.rkey]='行政专员'
        },
        openpicker(index,key){
            this.key=key;
            this.$refs.picker.open();
            this.index=index;
        },
        addmember(){
            this.$router.push({path:'./searchmember',query:{id:this.$route.query.id}});
        },
        sureback(){
            console.log("9999");
            this.issave=false;
            if(this.$route.query.key=="project" && this.word=="保存成功"){
                console.log('2222');
                this.$router.push({path:'./project',query:{id:this.$route.query.id}});
            }else if(this.$route.query.key=="defendproject" && this.word=="保存成功"){
                this.$router.push({path:'./defendproject',query:{id:this.$route.query.id}});
            }  
        },
        role(index,key){
            this.sheetVisible=true;
            this.rindex=index;
            this.rkey=key;
        },
        opendismiss(){

        },
        handleconfirm(){
              console.log(this.pickerValue);
            let d=new Date(this.pickerValue);
            var month=d.getMonth()+1;
            var date=d.getDate();
            if(month<10){
                month='0'+month;
                // return;
            }
            if(date<10){
                 date='0'+date;
            }
            console.log(d);
             console.log(this.key);
            this.datalist[this.index][this.key]=d.getFullYear()+'-'+month+'-'+date;
             console.log(this.key);
        },
        checkpart(item){
            this.dialogVisible=false;
            this.datalist[this.rindex][this.rkey]=item;
        },
        save(){
            let that=this;
            that.isshow=true;
            that.istype='保存中';
            let result={pid:that.$route.id,datalist:that.datalist}
             client.apexrest('/rest/SaveProjectMember',function(data){
                  console.log(data);
                  that.isshow=false;
                  if(data.Message=="Success"){
                      that.issave=true;
                      that.word='保存成功';
                  }else{
                      console.log(data.Message);
                      that.issave=true;
                      that.word=data.Message;
                      
                  }
                },function(error){
                  that.isshow=false;
                  console.log(error);
                  that.issave=true;
                  that.word=error;
                },'POST',result,true)
        }
    },
    created(){
         let that=this;
        that.isshow=true;
        that.istype='加载中';
       
         client.apexrest('/rest/ProjectMember?Pid='+that.$route.query.id,function(data){
                  console.log(data);
                  that.isshow=false;
                  if(data.Message=="Success"){
                      if(data.conlist.length>0){
                          that.datalist=data.conlist;
                        
                      }else{
                          that.issave=true;
                          that.word="无数据";
                       
                      }
                  }else{
                      console.log(data.Message);
                      that.issave=true;
                      that.word=data.Message;
                  }
                },function(error){
                  that.isshow=false;
                  console.log(error);
                  that.issave=true;
                  that.word=error;
                },'GET',null,true)
                
    }
}
</script>
<style>
    #home .el-dialog{
        height: 70vh;
        width: 90%;
        overflow: scroll;
    }
    #home .tip .el-dialog{
        height: 30vh;

    }
    #home .mint-actionsheet-list{
        height: 50vh;
        overflow: scroll;
    }
</style>

<style lang="scss" type="text/scss" scoped>
    #home{
        width: 100%;
        margin: 0 auto;
    }
   
    #home .top{
        width: 100%;
        height: 1rem;
        background: #eeeeee;
        display: flex;
        border-bottom: 0.02rem solid #eeeeee;
        position:fixed;
        left: 0;
        top: 0;

    }
     #home .top .section{
         width: 25%;
        // width: auto;
        //  padding-left: 1%;
        //  padding-right: 1%;
         height: 0.8rem;
         margin-top: 0.3rem;
        //  line-height: 1rem;
        //  text-align: center;
         font-size: 0.30rem;
         color: #5477AB;
         font-weight: 600;
         display: flex;
         flex-direction: column;
        //  align-items: center;

     }
    //  #home .top .section span{
    //      text-align: center;
        
    //  }
      #home .top .section img{
          width: 0.3rem;
          height: 0.3rem;
           margin-left: 0.175rem;
      }
    #home .list{
        width: 100%;
        display: flex;
        border-bottom: 0.02rem solid #eeeeee;
    }
      #home .blocktop{
        height: 1rem;
    }
     #home .list li{
         display: flex;
         width: 25%;
         height: 1rem;
         background: white;

     }
     #home .list li .line{
         display: flex;
        width: 100%;
        text-align: center;

     }
      #home .list li .line input{
          /* text-align: left; */
          text-align: center;
          width: 100%;
          color:gray;
        //   border:0.02rem outset lightgray;
          /* border-right:0.02rem solid #eeeeee; */
      }
       #home .list li .line .image1{
           /* width: 10%; */
           width: 0.3rem;
           height: 0.3rem;
           margin-top: 0.35rem;
           margin-left: 0.6rem;
       }
       #home .footer{
           width: 100%;
           height: 1rem;
           position: fixed;
           left: 0;
           bottom: 0;
           display: flex;
       }
       #home .footer button{
           width: 50%;
           height: 1rem;
          
           background: white;
           line-height: 1rem;
           font-size: 0.30rem;
            color: #5477AB;
       }
       #home .image4{
           /* width: 100%; */
           /* height: 1rem; */
           /* background: white; */
           margin-top: 10%;
            margin-left: 45%;
           /* line-height: 1rem; */
           /* color: #5477AB;
           font-size: 0.30rem; */

       }
       #home .blockdiv{
           width: 100%;
           height: 2rem;
       }
        .departlist{
         width:100%;
     }
     .departlist li{
         width:100%;
         height: 1rem;
         line-height:1rem;
         border-bottom:0.02rem solid lightgray;
     }
</style>

